<!--
 Copyright © VNG Realisatie 2023
 Licensed under the EUPL
-->

<div class="services-search-results" role="grid" hx-boost="true">
    {{ if eq (len .SearchResults) 0 }}
        <p class="services-search-results__no-results">
            Geen services gevonden
        </p>
    {{ else }}
        <p class="services-search-results__summary">
            {{ len .SearchResults }} beschikbare services
        </p>

        <table class="services-search-results__results-desktop">
            <thead>
            <tr>
                <th>Organisatie</th>
                <th>Service</th>
                <th>Aangeboden door</th>
                <th class="link"></th>
            </tr>
            </thead>

            <tbody>
            {{ range .SearchResults }}
                {{ if .IsDelegatedPublication }}
                    <tr hx-get="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}/delegator/{{ .Delegator.ID }}"
                        hx-push-url="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}/delegator/{{ .Delegator.ID }}"
                        hx-select="#drawer"
                        hx-target="#drawer"
                        hx-swap="outerHTML swap:0s"
                    >
                        <td>{{ .Delegator.Name }}</td>
                        <td>{{ .ServiceName }}</td>
                        <td>{{ .Provider.Name }}</td>
                        <td class="link">
                            <a href="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}/delegator/{{ .Delegator.ID }}">
                                {{ svg "icon-chevron-right" "" }}
                            </a>
                        </td>
                    </tr>
               {{ else }}
                    <tr hx-get="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}"
                        hx-push-url="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}"
                        hx-select="#drawer"
                        hx-target="#drawer"
                        hx-swap="outerHTML swap:0s"
                    >
                        <td>{{ .Provider.Name }}</td>
                        <td>{{ .ServiceName }}</td>
                        <td></td>
                        <td class="link">
                            <a href="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}">
                                {{ svg "icon-chevron-right" "" }}
                            </a>
                        </td>
                    </tr>
               {{ end }}
            {{ end }}

            </tbody>
        </table>

        <div class="services-search-results__results-mobile">
            {{ range .SearchResults }}
                {{ if .IsDelegatedPublication }}
                <div class="result"
                     hx-get="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}/delegator/{{ .Delegator.ID }}"
                     hx-push-url="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}/delegator/{{ .Delegator.ID }}"
                     hx-select="#drawer"
                     hx-target="#drawer"
                     hx-swap="outerHTML swap:0s"
                    >
                    <div class="content">
                        <p>{{ .ServiceName }}</p>
                        <p> {{ .Delegator.Name }}</p>
                        <p>Aangeboden door {{ .Provider.Name }}</p>
                    </div>

                    <div class="link">
                        <a href="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}/delegator/{{ .Delegator.ID }}">
                            {{ svg "icon-chevron-right" "" }}
                        </a>
                    </div>
                </div>
                {{ else }}
                <div class="result"
                     hx-get="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}"
                     hx-push-url="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}"
                     hx-select="#drawer"
                     hx-target="#drawer"
                     hx-swap="outerHTML swap:0s"
                >
                    <div class="content">
                        <p>{{ .ServiceName }}</p>
                        <p>{{ .Provider.Name }}</p>
                        <p></p>
                    </div>

                    <div class="link">
                        <a href="{{ href "/" }}{{ .Provider.ID }}/{{ .ServiceName }}">{{ svg "icon-chevron-right" "" }}</a>
                    </div>
                </div>
                {{ end }}
            {{ end }}
        </div>
    {{ end }}
</div>
